#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Text
%define		pnam	Unaccent
%include	/usr/lib/rpm/macros.perl
Summary:	Text::Unaccent - remove accents from a string
Summary(pl.UTF-8):	Text::Unaccent - usuwanie akcentów z napisów
Name:		perl-Text-Unaccent
Version:	1.08
Release:	7
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9ac9b28cbb66f4829a50d563ace79cb5
URL:		http://search.cpan.org/dist/Text-Unaccent/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Unaccent is a module that provides functions to remove accents
from a string. For instance the string été will become ete. The
charset of the input string is specified as an argument. The input is
converted to UTF-16 using iconv(3), accents are stripped and the
result is converted back to the original charset. The iconv --list
command on GNU/Linux will show all charset supported.

Text-Unaccent-1.01 has the same unac.[ch] files than unac-1.1.0.

%description -l pl.UTF-8
Text::Unaccent to moduł dostarczający funkcje do usuwania akcentów z
napisów. Na przykład tekst été zostanie zamieniony na ete. Zestaw
znaków łańcucha wejściowego jest podawany jako argument. Wejście jest
konwertowane do UTF-16 przy użyciu iconv(3), usuwane są akcenty, a
wynik jest konwertowany z powrotem do oryginalnego zestawu znaków.
Obsługiwane zestawy znaków można sprawdzić poleceniem iconv --list.

Text-Unaccent-1.01 ma te same pliki unac.[ch] co unac-1.1.0.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	LIBS= \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/*.pm
%dir %{perl_vendorarch}/auto/Text/Unaccent
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Unaccent/*.so
%{_mandir}/man3/*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Unaccent.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 5d3c831
- x32 rebuild
- release 7 (by relup.sh)

* Sun Nov 30 2014 Elan Ruusamäe <glen@delfi.ee> 3ffaf6e
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 27231ab
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> efe24df
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 44c1345
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a5c953b
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 45c3c5a
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e8e6357
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 00f54af
- tabs in preamble

* Sun Feb 11 2007 qrczak <qrczak@pld-linux.org> ca0fdfb
- Spec converted to UTF-8.

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> e603ae4
- updated to 1.08

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8632d1c
- formatting

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> a632477
- spaces->tabs
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 56a89b8
- spelling fixes, upercases, etc.

* Mon Jun 14 2004 radek <radek@pld-linux.org> 256a9d3
- release 2: it's not noarch

* Thu Jun 03 2004 Jakub Bogusz <qboosh@pld-linux.org> 52bb832
- pl

* Thu Jun 03 2004 radek <radek@pld-linux.org> 7b0b0c3
- new (required by DBIx::TextIndex), doesn't work...?

